﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Categories.ascx.cs" Inherits="DotNetNuke.Modules.LinqThings4Sale.Categories" %>
<asp:Panel ID="Panel1"  HorizontalAlign=Left runat="server"> 
<asp:LinkButton ID="lnkBack" runat="server" onclick="lnkBack_Click">[Back]</asp:LinkButton>
</asp:Panel>
<asp:LinqDataSource ID="LinqDataSource1" runat="server" 
    ContextTypeName="LinqThings4Sale.LinqThings4SaleDataContext" 
    EnableDelete="True" TableName="ThingsForSale_Categories" 
    onselecting="LinqDataSource1_Selecting" OrderBy="Category">
</asp:LinqDataSource>
<asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
    AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="ID" 
    DataSourceID="LinqDataSource1" 
    onselectedindexchanged="GridView1_SelectedIndexChanged" 
    onrowdeleted="GridView1_RowDeleted">
    <Columns>
        <asp:CommandField ShowDeleteButton="True" ShowSelectButton="True" />
        <asp:BoundField DataField="ID" HeaderText="ID" InsertVisible="False" 
            ReadOnly="True" SortExpression="ID" Visible="False" />
        <asp:BoundField DataField="Category" HeaderText="Category" 
            SortExpression="Category" />
        <asp:BoundField DataField="Count" HeaderText="Count" SortExpression="Count" />
    </Columns>
</asp:GridView>
<asp:LinqDataSource ID="LinqDataSource2" runat="server" 
    ContextTypeName="LinqThings4Sale.LinqThings4SaleDataContext" 
    EnableDelete="True" EnableInsert="True" EnableUpdate="True" 
    TableName="ThingsForSale_Categories" Where="ID == @ID">
    <WhereParameters>
        <asp:ControlParameter ControlID="GridView1" Name="ID" 
            PropertyName="SelectedValue" Type="Int32" />
    </WhereParameters>
</asp:LinqDataSource>
<asp:FormView ID="FormView1" runat="server" DataKeyNames="ID" 
    DataSourceID="LinqDataSource2" DefaultMode="Insert" 
    onitemdeleted="FormView1_ItemDeleted" oniteminserted="FormView1_ItemInserted" 
    onitemupdated="FormView1_ItemUpdated">
    <EditItemTemplate>
        ID:
        <asp:Label ID="IDLabel1" runat="server" Text='<%# Eval("ID") %>' />
        <br />
        Category:
        <asp:TextBox ID="CategoryTextBox" runat="server" 
            Text='<%# Bind("Category") %>' />
        <br />
        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
            CommandName="Update" Text="Update" />
        &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" 
            CausesValidation="False" CommandName="Cancel" Text="Cancel" />
    </EditItemTemplate>
    <InsertItemTemplate>
        Category:
        <asp:TextBox ID="CategoryTextBox" runat="server" 
            Text='<%# Bind("Category") %>' />
        <br />
        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
            CommandName="Insert" Text="Insert" />
        &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" 
            CausesValidation="False" CommandName="Cancel" Text="Cancel" 
            onclick="InsertCancelButton_Click" />
    </InsertItemTemplate>
    <ItemTemplate>
        ID:
        <asp:Label ID="IDLabel" runat="server" Text='<%# Eval("ID") %>' />
        <br />
        Category:
        <asp:Label ID="CategoryLabel" runat="server" Text='<%# Bind("Category") %>' />
        <br />
        <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" 
            CommandName="Edit" Text="Edit" />
        &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" 
            CommandName="Delete" Text="Delete" />
        &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" 
            CommandName="New" Text="New" />
    </ItemTemplate>
</asp:FormView>

<asp:Label ID="Label1" runat="server" EnableViewState="False"></asp:Label>


